LDAPCertStoreParameters (Java Platform SE 8 )
Keywords: java.security.cert.LDAPCertStoreParameters class
Date: 2026-04-17

compact1, compact2, compact3
java.security.cert

## Class LDAPCertStoreParameters

- java.lang.Object
- - java.security.cert.LDAPCertStoreParameters

- All Implemented Interfaces:
    Cloneable, CertStoreParameters

      public class LDAPCertStoreParameters
      extends Object
      implements CertStoreParameters

  Parameters used as input for the LDAP `CertStore` algorithm.

  This class is used to provide necessary configuration parameters (server name and port number) to implementations of the LDAP `CertStore` algorithm.

  Concurrent Access

  Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

  Since:
    1.4
  See Also:
    `CertStore`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPCertStoreParameters()` Creates an instance of `LDAPCertStoreParameters` with the default parameter values (server name "localhost", port 389).
    `LDAPCertStoreParameters(String serverName)` Creates an instance of `LDAPCertStoreParameters` with the specified server name and a default port of 389.
    `LDAPCertStoreParameters(String serverName, int port)` Creates an instance of `LDAPCertStoreParameters` with the specified parameter values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()` Returns a copy of this object.
    `int` | `getPort()` Returns the port number of the LDAP server.
    `String` | `getServerName()` Returns the DNS name of the LDAP server.
    `String` | `toString()` Returns a formatted string describing the parameters.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPCertStoreParameters

          public LDAPCertStoreParameters(String serverName,
                                         int port)

      Creates an instance of `LDAPCertStoreParameters` with the specified parameter values.
      Parameters:
        `serverName` - the DNS name of the LDAP server
        `port` - the port number of the LDAP server
      Throws:
        `NullPointerException` - if `serverName` is `null`

    - #### LDAPCertStoreParameters

          public LDAPCertStoreParameters(String serverName)

      Creates an instance of `LDAPCertStoreParameters` with the specified server name and a default port of 389.
      Parameters:
        `serverName` - the DNS name of the LDAP server
      Throws:
        `NullPointerException` - if `serverName` is `null`

    - #### LDAPCertStoreParameters

          public LDAPCertStoreParameters()

      Creates an instance of `LDAPCertStoreParameters` with the default parameter values (server name "localhost", port 389).

  - ### Method Detail

    - #### getServerName

          public String getServerName()

      Returns the DNS name of the LDAP server.
      Returns:
        the name (not `null`)

    - #### getPort

          public int getPort()

      Returns the port number of the LDAP server.
      Returns:
        the port number

    - #### clone

          public Object clone()

      Returns a copy of this object. Changes to the copy will not affect the original and vice versa.

      Note: this method currently performs a shallow copy of the object (simply calls `Object.clone()`). This may be changed in a future revision to perform a deep copy if new parameters are added that should not be shared.

      Specified by:
        `clone` in interface `CertStoreParameters`
      Overrides:
        `clone` in class `Object`
      Returns:
        the copy
      See Also:
        `Cloneable`

    - #### toString

          public String toString()

      Returns a formatted string describing the parameters.
      Overrides:
        `toString` in class `Object`
      Returns:
        a formatted string describing the parameters

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.